Bug 13589 - Fix CTDB configuration issues
Fix CTDB configuration issues
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.9.0rc3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-22 01:57 UTC by Martin Schwenke
Modified: 2018-09-06 07:11 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.9 (55.10 KB, patch)
2018-08-26 10:35 UTC, Martin Schwenke
no flags Details
Patches for 4.9.x (55.14 KB, patch)
2018-08-27 05:29 UTC, Amitay Isaacs
martins: review+
Details
Additional patches for 4.9 (13.07 KB, patch)
2018-09-04 00:49 UTC, Martin Schwenke
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schwenke 2018-08-22 01:57:45 UTC
There are several configuration issues in CTDB in 4.9.0rc3:

* "no realtime" is a negative option

  Negative options can be confusing.  I meant to change this to a positive
  option months ago, but forgot.

* TDBMutexEnabled tunable is commonly used, so should be a config option

  Tunables are being removed, so this should be a configuration option to
  minimise pain for migration to the next version.

* DisableIPFailover tunable is commonly used, so should be a config option

  Tunables are being removed, so this should be a configuration option to
  minimise pain for migration to the next version.
  
* Boolean config values can only have true/false values

  This is inconsistent with the previous use of using yes/no values.  Both
  should be allows.

* Sample config migration script does not correct recognise CTDB_BASE as removed

* There was no test to confirm that an invalid key does not stop the rest
  of the configuration from loading
Comment 1 Martin Schwenke 2018-08-26 10:35:25 UTC
Created attachment 14447 [details]
Patch for 4.9

Patch includes upstream changes plus WHATSNEW.txt update.  I thought I'd make this a little more complete than it was...  plus the latest changes.
Comment 2 Amitay Isaacs 2018-08-27 05:29:28 UTC
Created attachment 14448 [details]
Patches for 4.9.x

Added Reviewed-by tag for WHATSNEW patch.

All other patches RB+.
Comment 3 Martin Schwenke 2018-08-27 05:35:27 UTC
Hi Karolin,

This is ready for 4.9.

Thanks...
Comment 4 Karolin Seeger 2018-08-28 09:05:20 UTC
(In reply to Martin Schwenke from comment #3)
Pushed to autobuild-v4-9-test.
Comment 5 Martin Schwenke 2018-09-03 06:26:23 UTC
A few more patches coming via master to improve logging when loading a conf file with invalid options.
Comment 6 Martin Schwenke 2018-09-04 00:49:24 UTC
Created attachment 14463 [details]
Additional patches for 4.9

These patches are in additional to those already applied to v4-9-test.
Comment 7 Amitay Isaacs 2018-09-04 02:10:48 UTC
Hi Karolin,

The extra patches are ready for v4-9.

Thanks.
Comment 8 Karolin Seeger 2018-09-04 06:48:28 UTC
(In reply to Amitay Isaacs from comment #7)
Pushed additional patches to v4-9-test.
Comment 9 Karolin Seeger 2018-09-05 08:34:23 UTC
Pushed to v4-9-test.
Closing out bug report.

Thanks!